[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# LCLGlyphs

Provides access to the TLCLGlyphs instance in the implementation.

## Declaration

Source position: imglist.pp line 473

`function LCLGlyphs: TLCLGlyphs;`

## Function result

The TLCLGlyphs instance in the implementation.

## Description

LCLGlyphs is a TLCLGlyphs function used to provide access to the TLCLGlyphs instance in the implementation section for the unit. LCLGlyphs ensures that the unit variable has been instantiated, and resolutions are registered using 16, 24, and 32 pixel sizes. The unit variable is freed in the finalization section for the unit.

LCLGlyphs is used to get the TButtonGlyph icons displayed using TButton and TBitBtn, and in the implementation of the Lazarus IDE.

## See also

TLCLGlyphs |  | Represents glyphs for buttons or icons used in LCL controls.